org.apache.ignite.internal.util.lang

## Class GridClosure3X<E1,E2,E3,R>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridClosure3X<E1,E2,E3,R>

All Implemented Interfaces:
  GridClosure3<E1,E2,E3,R>

Direct Known Subclasses:
  CX3

    public abstract class GridClosure3X<E1,E2,E3,R>
    extends Object
    implements GridClosure3<E1,E2,E3,R>

Convenient closure subclass that allows for thrown grid exception. This class implements `apply(Object, Object, Object)` method that calls `applyx(Object, Object, Object)` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  `CX3`

### Constructor Summary

Constructors
Constructor and Description
`GridClosure3X()`

### Method Summary

Methods
`R` `apply(E1 e1, E2 e2, E3 e3)` Closure body.
`abstract R` `applyx(E1 e1, E2 e2, E3 e3)` Closure body that can throw `IgniteCheckedException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridClosure3X

    public GridClosure3X()

### Method Detail

#### apply

    public R apply(E1 e1,
          E2 e2,
          E3 e3)

Closure body.

Specified by:
  `apply` in interface `GridClosure3<E1,E2,E3,R>`
Parameters:
  `e1` - First bound free variable, i.e. the element the closure is called or closed on.
  `e2` - Second bound free variable, i.e. the element the closure is called or closed on.
  `e3` - Third bound free variable, i.e. the element the closure is called or closed on.
Returns:
  Optional return value.

#### applyx

    public abstract R applyx(E1 e1,
           E2 e2,
           E3 e3)
                      throws IgniteCheckedException

Closure body that can throw `IgniteCheckedException`.

Parameters:
  `e1` - First bound free variable, i.e. the element the closure is called or closed on.
  `e2` - Second bound free variable, i.e. the element the closure is called or closed on.
  `e3` - Third bound free variable, i.e. the element the closure is called or closed on.
Returns:
  Optional return value.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the closure.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015